// creator  : weidu.exe (version 23100)
// argument : _MTBE6.DLG
// game		 : .
// source	 : ./override/_MTBE6.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_MTBE6~

IF ~NumberOfTimesTalkedTo(0)
ReactionGT(LastTalkedToBy(Myself),NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #75684 /* ~Well, hello there.  Not too sure what you expected to find in here, but perhaps you have come to the wrong house by mistake.  I am Galteran, and I was just doing a bit of cleaning in the spare time I find myself with.  Not much call for my grunt-type labor right now, what with caravans staying away... sigh... ah well.  Best be on your way, please.~ */
  IF ~~ THEN EXIT
END

IF ~NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(Myself),FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #75685 /* ~I do not know who you are or what you are doing in my home, but please leave.  Sorry, but I have little patience right now.  There is little call for my line of work when no caravans dare leave the city.~ */
  IF ~~ THEN EXIT
END

IF ~NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #75686 /* ~By all the saints, who are you and what are you doing in my home?!  Leave at once!  I do not wish to call the guards, but I will if I must!~ */
  IF ~~ THEN EXIT
END

IF ~GlobalTimerExpired("Galteran","GLOBAL")
~ THEN BEGIN 3 // from:
  SAY #75687 /* ~I've already warned you to leave.  If you do not do so immediately, I will call the guard to eject you forcibly.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Galteran","GLOBAL",30)
~ EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #75688 /* ~The only thing I know of that might pique you interest are the rumors I've heard of an abandoned wizards' school to the east.  I couldn't tell you where it is, but it's supposed to overflow with magical treasure.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #74940 /* ~Get out of my sight!  I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END
